<template>
	<view class="main-container">
		<page-header :fixedHeight="fixedHeight" :naviBarHeight="naviBarHeight"></page-header>
		<view class="detail-container">
			<!-- <view :class="isBigiPhone ? 'detail-top-container-big' : 'detail-top-container'"><view class="detail-top-logo"></view></view> -->
			<view :class="isBigiPhone ? 'detail-mid-container-big' : 'detail-mid-container'">
				<view class="detail-mid-card">
					<view class="card-top">
						<view class="card-avatar" :style="{ backgroundImage: 'url(' + detailCheifImg + ')' }"></view>
						<view class="card-titles">
							<view class="card-num-title">{{ foodInfo.foodnumber }}号作品</view>
							<view class="card-market-title">{{ foodInfo.market }}</view>
							<view class="card-name-title">{{ foodInfo.foodname }}</view>
						</view>
					</view>
					<swiper class="card-swiper" circular="true" :current="swiperCurrentIndex" @change="swiperIndexChange">
						<swiper-item v-for="n in detailSwiperList[itemId - 1]" :key="n" class="swiper-item">
							<view class="swiper-item-inner" :style="{ backgroundImage: 'url(' + swiperImgBaseUrl + itemId + '-' + (n + 1) + '.jpg' + ')' }"></view>
						</swiper-item>
					</swiper>
					<view class="card-swiper-dots-container">
						<view
							v-if="showSwiperSwipeItem"
							class="card-swiper-dot"
							:class="swiperCurrentIndex === n ? 'card-swiper-dot-activate' : 'card-swiper-dot-inactivate'"
							v-for="n in detailSwiperList[itemId - 1]"
							:key="n"
						></view>
					</view>
					<view class="card-like-info">
						<view class="card-like-info-text">
							已有
							<text class="card-like-info-text-red">{{ foodInfo.likes }}人</text>
							喜欢它！
						</view>
					</view>
					<view class="card-lower-area">
						<view class="lower-inner-scroll-bar" v-if="showDescScroll">
							<view class="lower-inner-scroll-item" :style="{top: descScrollTop + 'px'}"></view>
						</view>
						<scroll-view class="lower-inner" show-scrollbar="false" scroll-y="true" @scroll="handleScroll">
							<view class="lower-inner-mid-inner" :class="'lower-inner-mid-inner-' + itemId" :style="{ backgroundImage: 'url(' + detailDescImg + ')' }"></view>
						</scroll-view>
						<!-- <view class="lower-inner"> -->
							<!-- <view class="lower-inner-top">
								<view class="lower-inner-top-name">{{ foodInfo.foodname }}</view>
								<view class="lower-inner-top-like-info">
									<view class="lower-inner-top-like"></view>
									<view class="lower-inner-top-text">
										已经有
										<text class="lower-inner-top-text-red">{{ foodInfo.likes }}人</text>
										喜欢它！
									</view>
								</view>
							</view>
							<view class="lower-inner-mid">
								<view class="lower-inner-mid-inner" :class="'lower-inner-mid-inner-' + itemId" :style="{ backgroundImage: 'url(' + detailDescImg + ')' }"></view>
							</view> -->
							<!-- <scroll-view class="lower-inner-mid" scroll-y="true" @scroll="scrollEvent" @scrolltolower="scrollBtmEvent">
								<view class="lower-inner-mid-inner" :class="'lower-inner-mid-inner-' + itemId" :style="{backgroundImage: 'url(' + detailDescImg + ')'}"></view>
							</scroll-view> -->
							<!-- <view class="lower-inner-mid-inner" :class="'lower-inner-mid-inner-' + itemId" :style="{ backgroundImage: 'url(' + detailDescImg + ')' }"></view> -->
						<!-- </view> -->
						<!-- <view class="lower-more" v-if="showScrollTip"></view> -->
					</view>
				</view>
				<view v-if="showSwiperSwipeItem" class="card-swiper-arrow-left" @click="handleSwiperIndex(0)"></view>
				<view v-if="showSwiperSwipeItem" class="card-swiper-arrow-right" @click="handleSwiperIndex(1)"></view>
			</view>
			<view :class="isBigiPhone ? 'detail-btm-container-big' : 'detail-btm-container'">
				<view class="detail-btm-text">
					您还有
					<text class="detail-btm-text-num">{{ userVoteLeft }}颗</text>
					肉丸支持票
				</view>
				<view class="detail-btm-vote" @click="goVote"></view>
				<view class="detail-btm-share" @click="goHandle(1)"></view>
				<view class="detail-btm-check" @click="goHandle(2)"></view>
			</view>
		</view>
		<noti v-if="showNoti" :notiType="notiType" @close-noti="closeNoti"></noti>
	</view>
</template>

<script>
import PageHeader from './pageHeader.vue';
import Noti from './notification.vue';

export default {
	onLoad(options) {
		console.log('Detail options === ', options);
		if (options.hasOwnProperty('info')) {
			this.itemId = options.info;
			this.fixedWidth = wx.getSystemInfoSync().windowWidth;
			if (this.itemId >= 33 && this.itemId <= 35) {
				this.showDescScroll = false;
			} else {
				this.showDescScroll = true;
			}
			if (this.detailSwiperList[this.itemId - 1] === 1) {
				this.showSwiperSwipeItem = false;
			}
			this.detailCheifImg = this.cheifImgBaseUrl + this.itemId + '.jpg';
			this.detailDescImg = this.descImgBaseUrl + this.itemId + '.png';
		}
	},
	data() {
		return {
			fixedHeight: getApp().globalData.fixedHeight,
			naviBarHeight: getApp().globalData.naviBarHeight,
			isBigiPhone: null,
			itemId: -1,
			foodInfo: {
				foodnumber: 0,
				foodname: '',
				likes: 0,
				market: ''
			},
			swiperCurrentIndex: 0,
			cheifImgBaseUrl: 'https://ikea-mrm.woaap.com/images/meatball/cook/cheif/',
			descImgBaseUrl: 'https://ikea-mrm.woaap.com/images/meatball/cook/desc/',
			swiperImgBaseUrl: 'https://ikea-mrm.woaap.com/images/meatball/cook/swiper/',
			descScrollTop: 0,
			showDescScroll: true,
			fixedWidth: null,
			detailSwiperList: [
				1,
				1,
				1,
				1,
				1,
				2,
				2,
				2,
				2,
				2,
				2,
				2,
				2,
				2,
				3,
				2,
				3,
				2,
				1,
				2,
				1,
				1,
				1,
				1,
				1,
				3,
				3,
				2,
				2,
				2,
				2,
				3,
				3,
				3,
				1,
				1,
				1,
				1,
				3,
				3,
				3,
				3,
				3,
				2,
				3,
				1,
				1,
				1,
				1,
				3,
				2,
				2
			],
			detailCheifImg: '',
			detailDescImg: '',
			showScrollTip: true,
			showNoti: false,
			notiType: 0,
			userVoteInfo: {},
			userVoteLeft: 0,
			isOver: false,
			showSwiperSwipeItem: true
		};
	},
	mounted() {
		getApp().td_app_sdk.event({
			id: '/meatball/detail',
			label: 'pv'
		});
		this.isBigiPhone = getApp().globalData.isBigiPhone;
		this.userVoteInfo = getApp().globalData.userVoteInfoCook;
		this.userVoteLeft = 5 - this.userVoteInfo.mylist.length;
		if (this.userVoteInfo.leftday === 0) {
			this.notiType = 5;
			this.isOver = true;
			this.showNoti = true;
		}
		this.fetchDetail();
	},
	methods: {
		fetchDetail() {
			uni.showLoading({
				title: '加载中',
				mask: true
			});
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=foodInfo',
				data: {
					foodnumber: this.itemId
				},
				success: res => {
					console.log('fetchDetail res === ', res);
					uni.hideLoading()
					if (res.data.status === "1") {
						this.foodInfo = res.data.data;
						console.log('foodInfo res === ', this.foodInfo);
					}
				},
				fail: err => {
					console.log('fetchList err === ', err);
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
					uni.hideLoading();
				}
			});
		},
		fetchUserInfo() {
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=userInfo',
				data: {
					uid: getApp().globalData.userUnionIdCook
				},
				success: (res) => {
					console.log("fetchUserInfo res === ", res);
					uni.hideLoading();
					if (res.data.status === "1") {
						getApp().globalData.userVoteInfoCook = res.data.data;
						this.userVoteInfo = getApp().globalData.userVoteInfoCook;
						this.userVoteLeft = 5 - this.userVoteInfo.mylist.length;
					}
				},
				fail: (err) => {
					console.log("fetchList err === ", err);
					uni.hideLoading();
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
				}
			})
		},
		goVote() {
			getApp().td_app_sdk.event({
				id: 'meatball_detail_投它',
				label: 'click'
			});
			if (this.isOver) {
				this.notiType = 5;
				this.showNoti = true;
				return;
			}
			uni.showLoading({
				title: '加载中',
				mask: true
			});
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=like',
				data: {
					uid: getApp().globalData.userUnionIdCook,
					foodnumber: this.itemId
				},
				success: res => {
					console.log('goVote res === ', res);
					let result = res.data;
					if (result.status === "1") {
						console.log("投票成功");
						let leftNum = result.data.leftnum;
						if (leftNum === 4) {
							uni.requestSubscribeMessage({
							  tmplIds: [
									'37LEdvXy48QXVMi4TlyhOsQT_Z51_CIviwOKHwZMhII'
								],
							  success: (res) => {
									console.log("Subscribe ok === ", res);
								},
								fail: (err) => {
									console.log("Subscribe fail === ", err);
								}
							})
						}
						// 4 - 0 => 7 - 10
						if (leftNum > 0) {
							this.notiType = 11 - leftNum;
						} else if (leftNum === 0) {
							this.notiType = 6;
						}
						this.showNoti = true;
						this.fetchUserInfo();
					} else if (result.status === "0") {
						uni.hideLoading();
						console.log("投票异常");
						if (result.info.indexOf('已经给该作品')) {
							console.log("已经投过该作品");
							uni.showToast({
								icon: 'none',
								title: result.info
							});
						} else {
							uni.showToast({
								icon: 'none',
								title: '投票异常'
							});
						}
					}
				},
				fail: err => {
					console.log('fetchList err === ', err);
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
					uni.hideLoading();
				}
			});
		},
		closeNoti(typeInfo) {
			console.log('closeNoti typeInfo === ', typeInfo);
			this.showNoti = false;
			if (this.notiType === 6) {
				uni.navigateTo({
					url: '/pages/meatball/myVote'
				})
			}
		},
		handleScroll(e) {
			console.log("handleScroll === e", e);
			// px = rpx / 750 * wx.getSystemInfoSync().windowWidth
			let containerHeight = 309 / 750 * this.fixedWidth; // rpx
			let barHeight = 76 / 750 * this.fixedWidth; // rpx
			let scrollTop = e.detail.scrollTop;
			let scrollHeight = e.detail.scrollHeight;
			this.descScrollTop = (scrollTop / (scrollHeight - containerHeight)) * (containerHeight - barHeight);
			console.log("descScrollTop === ", this.descScrollTop);
		},
		scrollEvent(e) {
			console.log('scrollEvent === ', e);
			this.showScrollTip = true;
		},
		scrollBtmEvent(e) {
			console.log('scrollBtmEvent === ', e);
			this.showScrollTip = false;
		},
		handleSwiperIndex(type) {
			if (this.detailSwiperList[this.itemId - 1] === 1) {
				return;
			} else if (this.detailSwiperList[this.itemId - 1] === 2) {
				if (type === 0) {
					if (this.swiperCurrentIndex === 0) {
						this.swiperCurrentIndex = 1;
					} else {
						this.swiperCurrentIndex--;
					}
				} else if (type === 1) {
					if (this.swiperCurrentIndex === 1) {
						this.swiperCurrentIndex = 0;
					} else {
						this.swiperCurrentIndex++;
					}
				}
			} else if (this.detailSwiperList[this.itemId - 1] === 3) {
				if (type === 0) {
					if (this.swiperCurrentIndex === 0) {
						this.swiperCurrentIndex = 2;
					} else {
						this.swiperCurrentIndex--;
					}
				} else if (type === 1) {
					if (this.swiperCurrentIndex === 2) {
						this.swiperCurrentIndex = 0;
					} else {
						this.swiperCurrentIndex++;
					}
				}
			}
		},
		goHandle(type) {
			if (type === 1) {
				getApp().td_app_sdk.event({
					id: 'meatball_detail_为它拉票',
					label: 'click'
				});
				uni.navigateTo({
					url: '/pages/meatball/share?info=' + this.itemId
				});
			} else if (type === 2) {
				getApp().td_app_sdk.event({
					id: 'meatball_detail_查看我的投票',
					label: 'click'
				});
				uni.navigateTo({
					url: '/pages/meatball/myVote'
				});
			}
		},
		swiperIndexChange(e) {
			console.log("swiperIndexChange === ", e);
			this.swiperCurrentIndex = e.detail.current;
		},
		onShareAppMessage: res => {
			return {
				title: '票选人气肉丸 上榜宜家菜单',
				path: 'pages/meatball/index',
				imageUrl: 'https://ikea-mrm.woaap.com/images/meatball/share-back.jpg'
			};
		}
	},
	components: {
		PageHeader,
		Noti
	}
};
</script>

<style lang="scss" scoped>
.main-container {
	display: flex;
	justify-content: center;
	align-items: flex-start;
	flex-wrap: wrap;
	width: 100%;
	height: 100vh;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-detail-back.png');
	background-size: cover;
	background-repeat: no-repeat;
	background-position: top center;
}
.detail-container {
	width: calc(100vw - 38rpx);
	height: 100vh;
	overflow-y: auto;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	// align-content: start;
	// align-content: center;
	align-content: flex-start;
	position: relative;
}
.detail-top-container {
	width: 100%;
	height: 46rpx;
	position: absolute;
	// top: 131rpx;
	top: 168rpx;
}
.detail-top-container-big {
	width: 100%;
	height: 46rpx;
	position: absolute;
	// top: 179rpx;
	top: 216rpx;
}
.detail-top-logo {
	width: 114rpx;
	height: 46rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-logo.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-left: 16rpx;
}
.detail-mid-container {
	position: relative;
	width: 100%;
	// height: 772rpx;
	height: 853rpx;
	// margin-top: 150rpx;
	// margin-top: 168rpx;
	margin-top: 208rpx;
	z-index: 5;
}
.detail-mid-container-big {
	position: relative;
	width: 100%;
	height: 772rpx;
	// margin-top: 198rpx;
	// margin-top: 216rpx;
	margin-top: 256rpx;
	z-index: 5;
}
.detail-mid-card {
	// width: 686rpx;
	// height: 797rpx;
	width: 686rpx;
	height: 853rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-detail-card.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: top center;
	margin: 0 auto;
	position: relative;
}
.card-top {
	width: 100%;
	height: 104rpx;
	margin-bottom: 9rpx;
	display: flex;
	flex-wrap: nowrap;
	position: relative;
}
.card-titles {
	width: 518rpx;
	height: 49rpx;
	position: absolute;
	left: 134rpx;
	top: 40rpx;
}
.card-num-title {
	position: absolute;
	left: 0;
	top: 0;
	width: 230rpx;
	height: 20rpx;
	line-height: 20rpx;
	font-size: 20rpx;
}
.card-market-title {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 230rpx;
	height: 24rpx;
	line-height: 24rpx;
	font-size: 24rpx;
	font-weight: bold;
}
.card-name-title {
	position: absolute;
	right: 0;
	bottom: 0;
	width: 288rpx;
	height: 32rpx;
	line-height: 32rpx;
	font-size: 32rpx;
	font-weight: bold;
	text-align: right;
}
.card-avatar {
	width: 104rpx;
	height: 104rpx;
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	// margin-left: 20rpx;
	// margin-top: 2rpx;
	margin-left: 21rpx;
	margin-top: 0rpx;
	border-radius: 50%;
}
.card-swiper {
	width: 100%;
	height: 362rpx;
	margin-bottom: 17rpx;
	background-color: #fff;
}
.swiper-item {
	width: 100%;
	height: 100%;
}
.swiper-item-inner {
	width: 100%;
	height: 100%;
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.card-swiper-dots-container {
	width: 100%;
	height: 8rpx;
	margin-bottom: 9rpx;
	display: flex;
	flex-wrap: nowrap;
	justify-content: center;
}
.card-swiper-dots-container:last-child {
	margin-right: 0 !important;
}
.card-swiper-dot {
	width: 8rpx;
	height: 8rpx;
	border-radius: 50%;
	margin-right: 24rpx;
}
.card-swiper-dot-activate {
	background-color: #7d7d7d;
}
.card-swiper-dot-inactivate {
	background-color: #d2d2d2;
}
.card-swiper-arrow-left {
	position: absolute;
	top: 264rpx;
	left: 28rpx;
	width: 27rpx;
	height: 50rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-detail-arrow-left.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.card-swiper-arrow-right {
	position: absolute;
	top: 264rpx;
	right: 28rpx;
	width: 27rpx;
	height: 50rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-detail-arrow-right.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.card-like-info {
	position: absolute;
	z-index: 3;
	right: 0;
	top: 416rpx;
	width: 305rpx;
	height: 43rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-detail-like-info.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.card-like-info-text {
	width: 230rpx;
	height: 24rpx;
	line-height: 24rpx;
	font-size: 24rpx;
	margin: 10rpx 12rpx 9rpx 63rpx;
}
.card-like-info-text-red {
	color: #ce2424;
	font-weight: bold;
}
.card-lower-area {
	width: 686rpx;
	height: 309rpx;
	margin: 0 auto;
	position: relative;
}
// .lower-inner {
// 	// width: 621rpx;
// 	width: 686rpx;
// 	height: 202rpx;
// 	// margin-left: 37rpx;
// 	margin-bottom: 6rpx;
// }
.lower-inner {
	width: 645rpx;
	height: 309rpx;
	margin-right: 41rpx;
	overflow-y: auto;
}
// .lower-inner::-webkit-scrollbar {
// 	width: 5rpx !important;
// 	height: 309rpx !important;
// 	background-color: #eeeeee !important;
// }
// .lower-inner::-webkit-scrollbar-thumb {
// 	width: 100% !important;
// 	height: 76rpx !important;
// 	border-radius: 10rpx !important;
// 	background-color: #d4b589 !important;
// }
.lower-inner-scroll-bar {
	position: absolute;
	top: 0;
	right: 41rpx;
	width: 5rpx;
	height: 309rpx;
	border-radius: 10rpx;
	background-color: #eeeeee;
	overflow: hidden;
}
.lower-inner-scroll-item {
	position: absolute;
	left: 0;
	width: 5rpx;
	height: 76rpx;
	border-radius: 10rpx;
	background-color: #d4b589;
}
.lower-inner-top {
	width: 621rpx;
	height: 38rpx;
	display: flex;
	flex-wrap: nowrap;
	justify-content: space-between;
	margin-bottom: 20rpx;
	// margin-left: 51rpx;
	margin-left: 40rpx;
}
.lower-inner-top-name {
	height: 35rpx;
	line-height: 35rpx;
	margin-top: 3rpx;
	color: #333333;
	font-size: 35rpx;
	font-weight: bold;
}
.lower-inner-top-like-info {
	height: 38rpx;
	display: flex;
	flex-wrap: nowrap;
}
.lower-inner-top-like {
	width: 35rpx;
	height: 32rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-like.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-right: 12rpx;
	margin-bottom: 6rpx;
}
.lower-inner-top-text {
	height: 24rpx;
	line-height: 24rpx;
	color: #383838;
	font-size: 24rpx;
	margin-top: 4rpx;
}
.lower-inner-top-text-red {
	height: 24rpx;
	line-height: 24rpx;
	color: #ce2424;
	font-size: 24rpx;
	font-weight: bold;
}
.lower-inner-mid {
	// width: 621rpx;
	width: 686rpx;
	// height: 143rpx;
	height: 168rpx;
	overflow-y: auto;
}
.lower-inner-mid-inner {
	// width: 686rpx;
	width: 640rpx;
	margin-right: 5rpx;
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.lower-inner-mid-inner-1 {
	height: 938rpx;
}
.lower-inner-mid-inner-2 {
	height: 875rpx;
}
.lower-inner-mid-inner-3 {
	height: 988rpx;
}
.lower-inner-mid-inner-4 {
	height: 647rpx;
}
.lower-inner-mid-inner-5 {
	height: 489rpx;
}
.lower-inner-mid-inner-6 {
	height: 1718rpx;
}
.lower-inner-mid-inner-7 {
	height: 1624rpx;
}
.lower-inner-mid-inner-8 {
	height: 1308rpx;
}
.lower-inner-mid-inner-9 {
	height: 1102rpx;
}
.lower-inner-mid-inner-10 {
	height: 987rpx;
}
.lower-inner-mid-inner-11 {
	height: 705rpx;
}
.lower-inner-mid-inner-12 {
	height: 1257rpx;
}
.lower-inner-mid-inner-13 {
	height: 772rpx;
}
.lower-inner-mid-inner-14 {
	height: 1050rpx;
}
.lower-inner-mid-inner-15 {
	height: 1352rpx;
}
.lower-inner-mid-inner-16 {
	height: 1386rpx;
}
.lower-inner-mid-inner-17 {
	height: 1046rpx;
}
.lower-inner-mid-inner-18 {
	height: 1343rpx;
}
.lower-inner-mid-inner-19 {
	height: 800rpx;
}
.lower-inner-mid-inner-20 {
	height: 1394rpx;
}
.lower-inner-mid-inner-21 {
	height: 1210rpx;
}
.lower-inner-mid-inner-22 {
	height: 1185rpx;
}
.lower-inner-mid-inner-23 {
	height: 1210rpx;
}
.lower-inner-mid-inner-24 {
	height: 1052rpx;
}
.lower-inner-mid-inner-25 {
	height: 1176rpx;
}
.lower-inner-mid-inner-26 {
	height: 732rpx;
}
.lower-inner-mid-inner-27 {
	height: 1687rpx;
}
.lower-inner-mid-inner-28 {
	height: 875rpx;
}
.lower-inner-mid-inner-29 {
	height: 823rpx;
}
.lower-inner-mid-inner-30 {
	height: 1110rpx;
}
.lower-inner-mid-inner-31 {
	height: 1415rpx;
}
.lower-inner-mid-inner-32 {
	height: 824rpx;
}
.lower-inner-mid-inner-33 {
	height: 231rpx;
}
.lower-inner-mid-inner-34 {
	height: 225rpx;
}
.lower-inner-mid-inner-35 {
	height: 233rpx;
}
.lower-inner-mid-inner-36 {
	height: 1087rpx;
}
.lower-inner-mid-inner-37 {
	height: 1032rpx;
}
.lower-inner-mid-inner-38 {
	height: 1032rpx;
}
.lower-inner-mid-inner-39 {
	height: 1227rpx;
}
.lower-inner-mid-inner-40 {
	height: 937rpx;
}
.lower-inner-mid-inner-41 {
	height: 812rpx;
}
.lower-inner-mid-inner-42 {
	height: 1456rpx;
}
.lower-inner-mid-inner-43 {
	height: 932rpx;
}
.lower-inner-mid-inner-44 {
	height: 805rpx;
}
.lower-inner-mid-inner-45 {
	height: 1410rpx;
}
.lower-inner-mid-inner-46 {
	height: 1088rpx;
}
.lower-inner-mid-inner-47 {
	height: 868rpx;
}
.lower-inner-mid-inner-48 {
	height: 810rpx;
}
.lower-inner-mid-inner-49 {
	height: 794rpx;
}
.lower-inner-mid-inner-50 {
	height: 1032rpx;
}
.lower-inner-mid-inner-51 {
	height: 1032rpx;
}
.lower-inner-mid-inner-52 {
	height: 1032rpx;
}
.lower-more {
	width: 197rpx;
	height: 24rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/text-detail-lower-more.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin: 0 auto;
}
.detail-btm-container {
	width: 715rpx;
	// height: 305rpx;
	height: 296rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-detail-btm-container.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	// margin: -32rpx auto 0 auto;
	margin: -60rpx auto 0 auto;
	// margin: -60rpx auto 0 auto;
	position: relative;
}
.detail-btm-container-big {
	width: 715rpx;
	// height: 305rpx;
	height: 296rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-detail-btm-container.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	// margin: -32rpx auto 0 auto;
	margin: 20rpx auto 0 auto;
	// margin: -60rpx auto 0 auto;
	position: relative;
}
.detail-btm-text {
	position: absolute;
	left: 0;
	top: 192rpx;
	width: 100%;
	height: 25rpx;
	line-height: 25rpx;
	color: #ffffff;
	font-size: 25rpx;
	text-align: center;
}
.detail-btm-text-num {
	width: 100%;
	height: 25rpx;
	line-height: 25rpx;
	color: #d4b589;
	font-weight: bold;
	font-size: 25rpx;
}
.detail-btm-vote {
	position: absolute;
	left: calc((100% - 559rpx) / 2);
	top: 82rpx;
	width: 559rpx;
	height: 95rpx;
}
.detail-btm-share {
	position: absolute;
	left: calc((100% - 559rpx) / 2);
	// top: 234rpx;
	top: 226rpx;
	width: 267rpx;
	height: 72rpx;
}
.detail-btm-check {
	position: absolute;
	right: calc((100% - 559rpx) / 2);
	// top: 234rpx;
	top: 226rpx;
	width: 267rpx;
	height: 72rpx;
}
::-webkit-scrollbar {
	display: none !important;
	width: 0 !important;
	height: 0 !important;
	color: transparent !important;
}
</style>
